package net.beaumaris.cachetest.group;

import java.io.Serializable;

/**
 * Boring, contrived container class.
 * 
 * @author esalter
 * 
 */
public class Session implements Serializable {

   /**
    * Default UID.
    */
   private static final long serialVersionUID = 1L;

   private GroupedKey key;
   private int amount;
   private String uuid;
   private int index;

   /**
    * Default
    */
   public Session() {
   }

   /**
    * @param key
    * @param amount
    */
   public Session(GroupedKey key, int amount, String uuid, int index) {
      this.key = key;
      this.amount = amount;
      this.uuid = uuid;
      this.index = index;
   }

   /**
    * @return the key
    */
   public GroupedKey getKey() {
      return key;
   }

   /**
    * @param key
    *           the key to set
    */
   public void setKey(GroupedKey key) {
      this.key = key;
   }

   /**
    * @return the amount
    */
   public int getAmount() {
      return amount;
   }

   /**
    * @param amount
    *           the amount to set
    */
   public void setAmount(int amount) {
      this.amount = amount;
   }

   /**
    * @return the uuid
    */
   public String getUuid() {
      return uuid;
   }

   /**
    * @param uuid
    *           the uuid to set
    */
   public void setUuid(String uuid) {
      this.uuid = uuid;
   }

   /**
    * @param index
    *           the index to set
    */
   public void setIndex(int index) {
      this.index = index;
   }

   /**
    * @return the index
    */
   public int getIndex() {
      return index;
   }

}
